#
# spec file for package bareftp
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Packman project
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           bareftp
Version:        0.3.12
Release:        1.1
Summary:        A file transfer client for FTP/FTPS/SFTP
License:        GPL-2.0
Group:          Productivity/Networking/Ftp/Clients
Url:            http://www.bareftp.org/
Source:         http://www.bareftp.org/release/%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE- bareftp-mono-4.5.patch dimstar@opensuse.org -- Build for .Net 4.5 target. Upstream is 'dead' (busy porting to python) and mono 4.4 no longer has /usr/lib/mono/2.0 (but there would be /usr/lib/mono/2.0-api)
Patch0:         bareftp-mono-4.5.patch
BuildRequires:  gconf-sharp2
BuildRequires:  glib2-devel
BuildRequires:  gnome-keyring-sharp-devel
BuildRequires:  gnome-sharp2
BuildRequires:  gnome-vfs-sharp2
BuildRequires:  gtk-sharp2
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  mono-data
BuildRequires:  mono-devel
BuildRequires:  mono-web
BuildRequires:  perl-XML-Parser
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       gconf-sharp2
Requires:       gnome-keyring-sharp
Requires:       gtk-sharp2
Requires:       mono-core

%description
bareFTP is a file transfer client supporting the FTP, FTP over SSL/TLS (FTPS)
and SSH File Transfer Protocol (SFTP). It is written in C#, targeting the
Mono framework and the GNOME desktop environment. bareFTP is released under
the terms of the GPL. 


%prep
%setup -q
%if 0%{?suse_version} > 1110
# Do not apply the mono 4.5 patch on SLE 11
%patch0 -p1
%endif

%build
%if 0%{?suse_version} > 1110
# SLE 11 can't bootstrap, but as we don't apply the patch, there is also no need
autoreconf -fiv
%endif
%configure --disable-static
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall
find %{buildroot}%{_libdir} -type f -name '*.la' -delete -print
%__install -D -m 644 data/%{name}.png %{buildroot}/%{_datadir}/pixmaps/%{name}.png
%suse_update_desktop_file %{name} Network FileTransfer
%find_lang %{name}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README ChangeLog AUTHORS
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_libexecdir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1.gz

%changelog
* Tue Jul 19 2016 dimstar@opensuse.org
- Update to version 0.3.12:
  + Updated translations.
- Drop bareftp-buildfix.patch: fixed upstream.
- Add bareftp-mono-4.5.patch: Use mono 4.5 instead of mono 2.0.
  Upstream is a bit frozen on this and does not move forward. With
  mono 4.4 though, /usr/lib/mono/2.0 no longer exists, which
  results in system libraries no longer to be found. Instead of
  patching configure to find /usr/lib/mono/2.0-api, we opt to just
  build using mono 4.5. Patch not applied on SLE11.
- Add libtool BuildRequires and call autoreconf, as above patch
  touches the build system.
* Sat Jan 30 2016 mailaender@opensuse.org
- Update to version 0.3.11:
  + Build script fixes.
- Enable GNOME keyring support:
  + Remove --with-keyring=no configure parameter
    (gnome-keyring-sharp was already set as a depency).
- Remove bareftp-dotnet4.patch: included upstream.
- Remove libtool BuildRequires: we don't patch the build system
  anymore.
- Add bareftp-buildfix.patch: fix compilation errors.
- Add desktop and icon theme macros.
* Tue May 19 2015 dimstar@opensuse.org
- Remove sed hack to inject "/usr/" into the mono paths: the .pc
  files of mono are now correct.
* Tue May 19 2015 dimstar@opensuse.org
- Add mono-devel BuildRequires: needed after the reorganisation of
  the mono packaging.
* Wed Jul 31 2013 dimstar@opensuse.org
- Update to version 0.3.10:
  + Updated configure.ac to support aarch64.
  + Updated translations.
- Rebase bareftp-dotnet4.patch.
* Tue Jan 29 2013 dimstar@opensuse.org
- Add bareftp-dotnet4.patch: Build for .Net 4.0 target.
- Add libtool BuildRequires and call to autoreconf, as above patch
  touches the build system.
* Fri Oct  7 2011 detlef@links2linux.de
- new upstream version <0.3.9>
  * Fix problem giving exeption when opening preferences (#64, #65)
  * New translation: hu
  * Updated translations: fr
* Mon Apr  4 2011 detlef@links2linux.de
- new upstream version <0.3.8>
  * Use combobox for remote charset selection
  * Don't disable synced browsing on refresh (#54)
  * Wider input entries in main window
  * Support international domain names (#56)
  * New translations: ja
  * Updated translations: pl, sv
* Mon Nov 29 2010 detlef@links2linux.de
- new upstream version <0.3.7>
  * Fixed crash when renaming to exisitng local file (#53)
  * Fixed crash issue on Ubuntu 10.04
  * Fixed crash issues when creating/renaming directory (#47)
  * Fixed behaviour of file operation dialog (#46)
  * Synchronized browsing ability (#45)
  * Avoid crash in file permission dialog when permission string are to short
  * UrlDecode drag/drop uri (#51)
  * Add current local and remote path when creating new bookmark (#48)
  * Handle disconnect on timed out connections (partly fixes #49)
  * Updated translations: pt_BR, fr, nb, es, ca
  * New translations: sk
* Wed Oct 13 2010 detlef@links2linux.de
- new upstream version <0.3.6>
  * Fixed path for ssh library
* Sun Oct 10 2010 detlef@links2linux.de
- new upstream version <0.3.5>
  * Directory caching is now optional
  * Fixed UI issues when background tasks are running - less sluggishness.
  * Fixed bug making bareftp miss ssh server password request
  * Fixed possible ldpath vulnerability in startup script
  * Handle network stream wite failures better
  * Fixed possible crash if renaming a file to an empty string
  * Better translateion coverage
  * New/updated translations: nb, fr, ru, pl, es, sv, it
* Sun May  9 2010 detlef@links2linux.de
- new upstream version <0.3.4>
  * Fixed #37: gnome-keyring problem
  * Fixed #38: Can't build without gnome-keyring
  * Revert correctly to previous dir on failed dir change
  * Fixed possible problem when swithing keyring mode with.
    no password file present
* Thu May  6 2010 detlef@links2linux.de
- new upstream version <0.3.3>
  * Implemented workaround for patched gnome-keyring-sharp
    used in ubuntu 10.04. (#35)
  * Added custom command dialog (from right click menu)
  * Updated translations: pl
* Sun Apr 18 2010 detlef@links2linux.de
- new upstream version <0.3.2>
  * Fixed missing icon issues in progress panel (#34)
  * Improved drag'n drop. More user friendly on multiple selection
  * Some ui improvents for error reporting
  * Fixed crash when recieving a 550 on changedir
  * Fixed issue #30 (right click instability)
  * Fixed bug #29 (Impossible connect to a server with different port via sftp)
  * Ensure clean openssh exit on disconnect (no more defunct processes)
  * Changed date formating in list view
  * Updated translations: ca, de, es, fr, nb, pt_BR, sv
* Sun Jan  3 2010 detlef@links2linux.de
- new upstream version <0.3.1>
  * Better thread control when doing mutiple transfers
  * More failsafe code when setting statusbar messages
  * Fixed potential nullreference bug on failed connections (#28)
* Wed Dec 23 2009 detlef@links2linux.de
- new upstream version <0.3.0>
  * Resizeable column widths in file views
  * New ssh implementation using local openssh
  * Optional password storage in Gnome Keyring
  * Bookmark backup/restore
  * Transfer information displayed in window title when minimized
  * Auto reconnect on ftp session timeout
  * Remember scroll position when going to parent directory
  * Enable remote directory listing cache
  * Do ChangeDir in a separate thread for GUI responsiveness
  * Possibility to do multiple ftp transfers simultaneously
  * Configurable max number of simultanuous connections
  * Visualize keybindings in context menu
  * Fix some keybinding problems. They should all work now.
  * Changed quick-bookmarks menu from a menu item to a nicer button,
    to make the gui look nicer on certain themes
  * New translations: Polish
* Thu Mar  5 2009 detlef@links2linux.de
- new upstream version <0.2.0>
  * Fixed several chmod issues
  * Fixed crash on transfer progress right-click (#4)
  * Fixed certain issues with moving transfers up/down
  * Aborting transfers now works to some extent
  * Added support for VMS directory listings
  * Added new site manager (#1)
  * Removed unused methods and System.Data dependency
  * Fixed exception on exit from file menu (#3)
  * Handle some HP ftp server directory listings
* Mon Jan 26 2009 detlef@links2linux.de
- new upstream version <0.1.4>
  * Enabled sorting on all columns
  * Connection to remote site is now done threaded to avoid gui
    freeze when remote site doesn't answer
  * Improvements in error handling on delete
  * Fixed right click behaviour in file lists.
  * Fixed charset issues when sending commands
  * Fixed several problems using windows/dos ftp server
  * Display remote error messages in statusbar
  * Several improvements in exception handling
* Fri Jan 16 2009 detlef@links2linux.de
- new upstream version <0.1.3>
  * New preferences dialog
  * Configurable defualt protocol and ports
  * Setting show/hide hidden files has instant effect when connected
  * Preserve file permissions on transfer
  * Drag'n drop now use the familiar default icon
  * Remove rubber banding to enable easier multiple drag'n drop
  * Fix desktop file for fedora rpms
  * Drag'n drop integration with GNOME
    (remote->gnome works only if remote site is mounted)
  * New French translation by Simon Leblanc <contact@leblanc-simon.eu>
  * New Spanish translation by Julio NapurÃ­ Carlos <julionc@gmail.com>
  * More strings translatable and some typo corrections
  * Link icon arrow now points right
  * Chmod dialog display original permissions if activated for one file
* Mon Dec 29 2008 detlef@links2linux.de
- fix Requires
* Sat Dec 27 2008 detlef@links2linux.de
- initial build for PackMan <0.1.2>
  * Catching more remote connection exceptions
  * Added new Failed trasfer status
  * New Connection class amaging a connection pool to enable
    multithreaded remote operations
  * Find user/group names in different way to avoid crash when files
    have unknown owner
  * Icons in progress list
  * Clear progress list on disconnect
  * Check for connection when pressing upload/download
  * User folder icon for parent directory
* Sat Dec 20 2008 detlef@links2linux.de
- initial build for PackMan <0.1.1>
